Skip to content

deployment_job_run

Run a scheduled service (job) now, regardless of its schedule or concurrency; returns the run

Tool

deployment_job_run

Run a scheduled service (job) now, regardless of its schedule or concurrency; returns the run

Run a scheduled service (job) now, regardless of its schedule or concurrency; returns the run

Behavior

HTTP
POST /deployment/services/:serviceId/runs

Arguments

Name
Type
Required
Description
serviceId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
status
string
•
trigger
string
•
exitCode
integer
•
createdAt
string
•
serviceId
string
•
startedAt
string
•
finishedAt
string
•
k8sJobName
string
•
cancelledBy
string
•
imageDigest
string
•
triggeredBy
string
•
deploymentId
string
•
environmentId
string
•
failureReason
string
•

Try it

Run a scheduled service (job) now, regardless of its schedule or concurrency; returns the run.

When to use

Run a scheduled service (job) now, regardless of its schedule or concurrency; returns the run

Example

Ask your agent something like this:

Run a scheduled service (job) now, regardless of its schedule or concurrency; returns the run.

The agent will invoke deployment_job_run with these arguments:

{
  "serviceId": "<serviceId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select